OGRE-Next: Ogre::D3D11StereoDriverNVIDIA Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::D3D11StereoDriverNVIDIA Class Reference

Interface of the NVIDIA stereo driver. More...

`#include <OgreD3D11StereoDriverNVIDIA.h>`

Inheritance diagram for Ogre::D3D11StereoDriverNVIDIA:
[legend]

## Public Member Functions
| D3D11StereoDriverNVIDIA ()
virtual | ~D3D11StereoDriverNVIDIA ()
virtual bool | addRenderWindow (D3D11RenderWindowBase *renderWindow)
virtual bool | isStereoEnabled (const String &renderWindowName)
virtual bool | removeRenderWindow (const String &renderWindowName)
virtual bool | setDrawBuffer (ColourBufferType colourBuffer)
Public Member Functions inherited from Ogre::D3D11StereoDriverImpl
| D3D11StereoDriverImpl ()
virtual | ~D3D11StereoDriverImpl ()

## Detailed Description

Interface of the NVIDIA stereo driver.

## Constructor & Destructor Documentation

## ◆ D3D11StereoDriverNVIDIA()

Ogre::D3D11StereoDriverNVIDIA::D3D11StereoDriverNVIDIA | ( |  | ) |

## ◆ ~D3D11StereoDriverNVIDIA()

virtual Ogre::D3D11StereoDriverNVIDIA::~D3D11StereoDriverNVIDIA | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRenderWindow()

virtual bool Ogre::D3D11StereoDriverNVIDIA::addRenderWindow | ( | D3D11RenderWindowBase * | renderWindow | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

## ◆ isStereoEnabled()

virtual bool Ogre::D3D11StereoDriverNVIDIA::isStereoEnabled | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

## ◆ removeRenderWindow()

virtual bool Ogre::D3D11StereoDriverNVIDIA::removeRenderWindow | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

## ◆ setDrawBuffer()

virtual bool Ogre::D3D11StereoDriverNVIDIA::setDrawBuffer | ( | ColourBufferType | colourBuffer | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

The documentation for this class was generated from the following file:

- OgreD3D11StereoDriverNVIDIA.h